# $Revision: 1.38 $, $Date: 2010/11/12 23:38:07 $
#
# Conditional build:
%bcond_with	tests	# do perform "make test" (requires mounted /proc)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	ProcessTable
Summary:	Proc::ProcessTable - Perl interface to the UNIX process table
Summary(pl.UTF-8):	Proc::ProcessTable - interfejs perlowy do uniksowej tabeli procesów
Name:		perl-Proc-ProcessTable
Version:	0.45
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Proc/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4481495d639c314f57e6d9d25f23c88e
URL:		http://search.cpan.org/dist/Proc-ProcessTable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed UNIX site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%description -l pl.UTF-8
Ten moduł to pierwsza próba udostępnienia spójnego interfejsu do
informacji dotyczących uniksowej (i może z innych wielozadaniowych
systemów operacyjnych) tabeli procesów. Impuls do stworzenia tego
pojawił się wraz z frustracją autora przy analizie wyjścia poleceń ps
z różnych systemów w celu sprawdzenia, czy określone procesy działają
na różnych maszynach w dużym zestawie różnych Uniksów. Format wyjścia
ps był różny na każdym systemie, a czasem zmieniał się wraz z nową
wersją systemu. Poza tym uruchamianie procesu ps z Perla lub skryptu
powłoki i analiza jego wyjścia nie były zbyt wydajnym ani estetycznym
sposobem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.linux PORTING Changes TODO
%dir %{perl_vendorarch}/Proc
%{perl_vendorarch}/Proc/*.pm
%{perl_vendorarch}/Proc/ProcessTable
%dir %{perl_vendorarch}/auto/Proc
%dir %{perl_vendorarch}/auto/Proc/ProcessTable
%attr(755,root,root) %{perl_vendorarch}/auto/Proc/ProcessTable/*.so
%{perl_vendorarch}/auto/Proc/ProcessTable/*.bs
%{perl_vendorarch}/auto/Proc/ProcessTable/Process
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Proc-ProcessTable.spec,v $
Revision 1.38  2010/11/12 23:38:07  pawelz
- release 3

Revision 1.37  2010/06/06 08:41:19  arekm
- release 2

Revision 1.36  2009/03/01 18:38:39  radek
- version 0.45

Revision 1.35  2008-03-02 16:55:48  qboosh
- generic URL

Revision 1.34  2008-03-02 16:44:37  radek
- version 0.42

Revision 1.33  2008-02-10 12:18:00  arekm
- rel 2

Revision 1.32  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.31  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.29  2006/10/25 16:15:00  ankry
- ver. 0.41

Revision 1.28  2005/11/09 21:11:27  czucz
- updated to 0.40

Revision 1.27  2004/11/03 22:30:40  paladine
- formatting

Revision 1.26  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.25  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.23  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.22  2004/05/06 05:34:01  ankry
- cosmetics

Revision 1.21  2004/04/15 16:55:03  qboosh
- disable tests by default (seem to require /proc mounted), release 2

Revision 1.20  2004/04/15 08:36:00  ankry
- cosmetics

Revision 1.19  2004/04/12 12:31:25  qboosh
- pass OPTIMIZE to make, perl epoch

Revision 1.18  2004/04/12 09:36:24  agaran
- added OPTIMIZE=%{rpmcflags}

Revision 1.17  2003/11/01 18:18:21  qboosh
- updated to 0.39, new-style bcond

Revision 1.16  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:09:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 20:22:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:37:49  ankry
- massive attack: change CPAN URLs

Revision 1.8  2003/01/15 18:27:57  mis
- autoupdated to 0.38

Revision 1.7  2002/11/20 12:26:45  mis
- autoupdated to 0.37

Revision 1.6  2002/11/08 17:37:22  radek
- version 0.36

Revision 1.5  2002/09/16 08:27:26  ankry
- added missing dirs
- fix examples permitions
- release 2

Revision 1.4  2002/09/02 16:34:09  marcus
- fixed BR

Revision 1.3  2002/08/31 20:19:09  radek
- fixed permissions

Revision 1.2  2002/08/31 15:58:52  qboosh
- pl description

Revision 1.1  2002/08/31 09:51:39  radek
- new, STBR
